summaryrefslogtreecommitdiff
path: root/qa/415
diff options
context:
space:
mode:
Diffstat (limited to 'qa/415')
-rwxr-xr-xqa/41534
1 files changed, 34 insertions, 0 deletions
diff --git a/qa/415 b/qa/415
new file mode 100755
index 0000000..d8f8540
--- /dev/null
+++ b/qa/415
@@ -0,0 +1,34 @@
+#!/bin/sh
+# PCP QA Test No. 415
+# check various tools with PM_TYPE_EVENT metrics
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_do()
+{
+ echo
+ echo "=== $* ==="
+ $*
+ echo "exit status=$?"
+}
+
+# real QA test starts here
+_do pmval -s 1 sample.event.records
+_do pmval -s 1 -a src/eventrec-old sample.event.records
+_do pmstore sample.event.records 1
+
+# success, all done
+exit